commit: 19accfa7c587fa6d780780be8ecab7464940da1d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 25 09:02:39 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 25 09:07:16 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19accfa7
dev-python/polygon: Enable py3.{7,8}
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/polygon/polygon-3.0.7.ebuild | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/dev-python/polygon/polygon-3.0.7.ebuild
b/dev-python/polygon/polygon-3.0.7.ebuild
index e3e7bcdb413..e9821f63b46 100644
--- a/dev-python/polygon/polygon-3.0.7.ebuild
+++ b/dev-python/polygon/polygon-3.0.7.ebuild
@@ -2,7 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-PYTHON_COMPAT=( python3_6 )
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8} )
inherit distutils-r1
@@ -30,7 +32,7 @@ python_prepare_all() {
}
python_test() {
- ${PYTHON} test/Test.py || die "Tests failed under ${EPYTHON}"
+ "${EPYTHON}" test/Test.py -v || die "Tests failed under ${EPYTHON}"
}
python_install_all() {